Add Tasks
curl --request POST \
--url https://api.lobstr.io/v1/tasks \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.lobstr.io/v1/tasks"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://api.lobstr.io/v1/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
TripAdvisor Restaurants Search Export
Add Tasks
Add TripAdvisor restaurant search URLs as tasks for scraping restaurant listings
POST
/
v1
/
tasks
Add Tasks
Add TripAdvisor restaurant search URLs to your squid for scraping restaurant listings. The scraper extracts restaurant details including ratings, reviews, contact information, price ranges, location coordinates, and Michelin status from TripAdvisor’s restaurant directory.
Crawler ID:
f781435f026b36b19ef74d591a077cb7Headers
string
required
Your API authentication token. Value:
Token YOUR_API_KEYstring
required
Request body format. Value:
application/jsonTask Format
Each task should contain a URL from a TripAdvisor restaurant search results page. Search for restaurants by location on TripAdvisor, then use those search URLs as tasks.Supported URL Formats
The scraper supports TripAdvisor restaurant search URLs from various regional domains:Apply filters on TripAdvisor (cuisine type, price range, ratings) before copying the URL to get more targeted restaurant results.
TripAdvisor uses location IDs (g-codes) in URLs. Each city or region has a unique g-code that you can find by searching on the website.
Code Examples
curl -X POST "https://api.lobstr.io/v1/tasks" \
-H "Authorization: Token YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"squid": "YOUR_SQUID_HASH",
"tasks": [
{
"url": "https://www.tripadvisor.fr/Restaurants-g187147-Paris_Ile_de_France.html"
}
]
}'
import requests
API_KEY = "YOUR_API_KEY"
BASE_URL = "https://api.lobstr.io/v1"
headers = {"Authorization": f"Token {API_KEY}"}
squid_id = "YOUR_SQUID_HASH"
# Add TripAdvisor restaurant search URLs as tasks
response = requests.post(f"{BASE_URL}/tasks",
headers=headers,
json={
"squid": squid_id,
"tasks": [
{"url": "https://www.tripadvisor.fr/Restaurants-g187147-Paris_Ile_de_France.html"},
{"url": "https://www.tripadvisor.com/Restaurants-g60763-New_York_City_New_York.html"}
]
}
)
data = response.json()
print(f"Added {len(data['tasks'])} tasks")
print(f"Duplicates skipped: {data['duplicated_count']}")
for task in data["tasks"]:
print(f" Task ID: {task['id']}")
print(f" URL: {task['params']['url']}")
Response
200
{
"duplicated_count": 0,
"tasks": [
{
"id": "82367f24d9450b2222080eed91662968",
"created_at": "2025-07-17T09:06:47.287893",
"is_active": true,
"params": {
"url": "https://www.tripadvisor.fr/Restaurants-g187147-Paris_Ile_de_France.html"
},
"module": 115,
"object": "task"
}
]
}